%define debug_package %{nil}

Name:    taglib-sharp
Version: 2.0.3.0
Release: 4%{?dist}
Summary: Provides tag reading and writing for Banshee and other Mono apps

Group:   System Environment/Libraries
License: LGPLv2+
URL:     http://www.taglib-sharp.com
Source0: http://www.taglib-sharp.com/Download/%{name}-%{version}.tar.gz
Patch0:  taglib-sharp-2.0.3.0-fix-xml.patch
Patch1:  taglib-sharp-2.0.3.0-noInjectMenuItem.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# We only have mono on these arches:
ExclusiveArch: %ix86 x86_64 ia64 armv4l sparc alpha ppc

BuildRequires: mono-devel, monodoc-devel, gnome-sharp-devel

%description
TagLib# is a FREE and Open Source library for the .NET 2.0 and Mono frameworks 
which will let you tag your software with as much or as little detail as you 
like without slowing you down. It supports a large variety of movie and music 
formats which abstract away the work, handling all the different cases, so all 
you have to do is access file.Tag.Title, file.Tag.Lyrics, or my personal 
favorite file.Tag.Pictures. But don't think all this abstraction is gonna keep 
you from tagging's greatest gems. You can still get to a specific tag type's 
features with just a few lines of code. 

%package devel
Summary: Provides tag reading and writing for Banshee and other Mono apps
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Development files for taglib-sharp.

%prep
%setup -q
%patch0 -p1 -b .fix-xml
# the doc install tries to write to a monodoc system file...
# ... it also thinks it needs to embed DESTDIR in an install path.
%patch1 -p1 -b .noInjectMenuItem

%build
%configure
# Not smart enough for smp_mflags
make

%install
%{__rm} -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# Fix the .pc file to handle 64bit
sed -i 's|${exec_prefix}/lib|%{_libdir}|g' $RPM_BUILD_ROOT%{_libdir}/pkgconfig/taglib-sharp.pc

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/mono/gac/*/
%{_libdir}/mono/taglib-sharp/

%files devel
%defattr(-,root,root,-)
%doc %{_libdir}/monodoc/sources/taglib-sharp-docs*
%{_libdir}/pkgconfig/taglib-sharp.pc

%changelog
* Sat Apr 12 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.0.3.0-4
- don't need to specify pkgconfig as a BR, it gets pulled in

* Sat Apr 12 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.0.3.0-3
- BR: monodoc-devel

* Sat Apr 12 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.0.3.0-2
- just fix noInjectMenuItem

* Sat Apr 12 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.0.3.0-1
- initial package
